
Core - Bug # 39860

Status: Resolved Priority: Must have
Author: Jessica Jagodzinski Category: File Abstraction Layer (FAL)
Created: 2012-08-16 Assigned To: Andreas Wolf
Updated: 2012-09-16 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity: medium
Is Regression:
Sprint Focus:
Subject: Not possible to save edited files in fileadmin (TYPO3 6.0 Alpha3)
Description

I'm using TYPO3 6.0 Alpha3 as an admin user.

First I created a html file in fileadmin which works fine. After that I edited the file and tried to save it by using the save button.

With t3editor I get the alert message "[object Object]".
With  deactivated t3editior I get the error message "1: You are not allowed to edit files!"

Related issues:
related to Core - Bug # 40359: T3edit doesn't save changes Resolved 2012-08-29
duplicates Core - Bug # 37812: Admin has no rights to update a file Resolved 2012-06-07

Associated revisions
Revision cfd10726 - 2012-09-16 16:02 - Andreas Wolf 

[BUGFIX] Files contents cannot be changed

Setting file contents failed for two reasons:

a) The permissions were incorrectly read from TSconfig and

b) We used a new "update" permission that was not present
   in the default configuration, so without manually setting it,
   a file could never be updated, even by admins.

This commit changes the "update" permission back to "edit", which was
also used in the pre-FAL era.

Change-Id: I408a19257a50868f7978ffac32eefbd410117e2d
Resolves: #37812
Resolves: #39860
Resolves: #39949
Releases: 6.0
Reviewed-on: http://review.typo3.org/14257
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2012-08-16 14:29 - Jessica Jagodzinski

It has nothing to do with permissions. I've tried it with 777.

#2 - 2012-08-20 01:00 - Michael Stucki
- Category set to File Abstraction Layer (FAL)
- Complexity set to medium

#3 - 2012-09-01 15:54 - Andreas Wolf

The error "You are not allowed to edit files" is fixed with the patch for #37812.

The other error (for the AJAX call) seems to be related to T3Editor. I got the following message from the server:

<t3err>No backend function registered for ajaxID &quot;T3Editor::saveCode::saveCode&quot;.</t3err>

#4 - 2012-09-01 15:54 - Andreas Wolf
- Status changed from New to Accepted

#5 - 2012-09-02 10:23 - Andreas Wolf
- Status changed from Accepted to Under Review

#6 - 2012-09-02 10:27 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14257

#7 - 2012-09-02 13:40 - Andreas Wolf

The T3Editor problem might be fixed with #40359.

#8 - 2012-09-02 18:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14257

#9 - 2012-09-05 10:40 - Steffen Ritter
- Assigned To set to Andreas Wolf

#10 - 2012-09-05 10:40 - Steffen Ritter
- Target version set to 6.0.0-beta2

#11 - 2012-09-16 15:59 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14257
#12 - 2012-09-16 16:30 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:cfd107268c3173f1fe8e05027bc7d049e9293fff.
